1. Auth
RockTest
  • Auth
    • Register
      POST
    • Login
      POST
  • Category
    • Create
      POST
    • Update
      PUT
    • Get
      GET
    • Delete
      DELETE
  • Products
    • Create
      POST
    • Get
      GET
    • Update
      PUT
    • Delete
      DELETE
  1. Auth

Login

Em desenvolvimento
POST
/auth/login

Requisição

Parâmetros Bodyapplication/jsonObrigatório

Examples

Respostas

🟢200Sucesso
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/auth/login' \
--header 'Content-Type: application/json' \
--data-raw '{
  "email": "user@email.com",
  "password": "123456"
}'
Response Response Example
{
    "success": true,
    "message": "Login successful",
    "data": {
        "user": {
            "id": 5,
            "name": "user",
            "email": "user@email.com",
            "email_verified_at": null,
            "created_at": "2026-03-27T06:33:03.000000Z",
            "updated_at": "2026-03-27T06:33:03.000000Z"
        },
        "token": "3|vNW8dGwaDHeBlnpHc2ucaTFAKZ70u0JCypeg2uAKd2189d84"
    }
}
Modificado em 2026-03-27 17:40:29
Página anterior
Register
Próxima página
Create
Built with